summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorGianluca Montecchi2016-01-07 23:11:37 +0100
committerGianluca Montecchi2016-01-07 23:11:37 +0100
commitf06b5ddcd91e12c2369ed56565e42b17b61246af (patch)
tree1be168313159e91e430a8c820892c517821ff007
parent845a3c330568eca5664013ced208f52ccfa8a143 (diff)
downloadaur-f06b5ddcd91e12c2369ed56565e42b17b61246af.tar.gz
Changed PREFIX to /usr
-rw-r--r--.SRCINFO4
-rw-r--r--PKGBUILD12
2 files changed, 8 insertions, 8 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 43f1319f452..46891dfb0ab 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,9 +1,9 @@
# Generated by mksrcinfo v8
-# Thu Dec 10 18:45:29 UTC 2015
+# Thu Jan 7 22:08:55 UTC 2016
pkgbase = libqglviewer
pkgdesc = C++ library based on Qt that eases the creation of OpenGL 3D viewers
pkgver = 2.6.3
- pkgrel = 2
+ pkgrel = 3
url = http://www.libqglviewer.com/
arch = i686
arch = x86_64
diff --git a/PKGBUILD b/PKGBUILD
index 4abc3d9ed69..f4d2e776458 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -6,7 +6,7 @@
pkgname=libqglviewer
_pkgname=libQGLViewer
pkgver=2.6.3
-pkgrel=2
+pkgrel=3
pkgdesc="C++ library based on Qt that eases the creation of OpenGL 3D viewers"
url="http://www.libqglviewer.com/"
depends=('qt5-base' 'glu' 'mesa' 'qt5-tools')
@@ -25,14 +25,14 @@ build()
{
cd ${_pkgname}-${pkgver}
patch -p1 < ../qglviewer.patch
- qmake PREFIX=/usr/local -o Makefile ${_pkgname}-${pkgver}.pro || return 1
-
+ qmake PREFIX=/usr -o Makefile ${_pkgname}-${pkgver}.pro || return 1
+
make \
CFLAGS="-pipe ${CFLAGS} -D_REENTRANT -Wall -W -fPIC \$(DEFINES)" \
CXXLIBS=" ${CXXLIBS} " \
CXXFLAGS="-pipe ${CXXFLAGS} -I/usr/include/GL -D_REENTRANT -Wall -W -fPIC \$(DEFINES)" || return 1
-
-
+
+
}
package()
@@ -40,7 +40,7 @@ package()
cd ${_pkgname}-${pkgver}
make install INSTALL_ROOT="$pkgdir" || return 1
-
+
# Install license.
install -d -m 0755 "${pkgdir}"/usr/share/licenses/$pkgname/ || return 1
install -m 0644 LICENCE GPL_EXCEPTION "${pkgdir}"/usr/share/licenses/$pkgname/ || return 1